#!/bin/sh
VERSION=20
TMPFILE=/var/tmp/cptimeshift.tmp
echo "----------------------------------------------"
case "$1" in
"save")
if [ ! $2 ]; then
echo "no TARGET name passed to $0, assuming timeshift"
echo "----------------------------------------------"
TARGET=timeshift
else
TARGET=$2
fi 
cd /media/hdd
if [ -e timeshift.* ]; then
   for FILE in timeshift.* ; do
       DATETIME=`date -u +'%Y%m%d %H%M'`
       FULLFILE="$DATETIME - TIMESHIFT - $TARGET.ts"
       echo "Saving $FILE to $FULLFILE"
       ln -f $FILE "/media/hdd/movie/$FULLFILE"
   done
else
   echo "No Timeshift File found for saving, sorry"
   echo "----------------------------------------------"
   exit 1
fi
echo "----------------------------------------------"
echo "Timeshift recording saved"
echo "----------------------------------------------"
exit 0
;;
delete)
if [ ! $2 ]; then
echo "no TARGET name passed to $0, assuming timeshift"
echo "----------------------------------------------"
TARGET=timeshift
else
TARGET=$2
fi 
MOVIES=1
if [ ! -e /media/hdd/movie/*$TARGET.ts ]; then
MOVIES=0
fi >> /dev/null 2>&1
if [ $MOVIES = 1 ]; then
   echo "Deleting saved TIMESHIFT - $TARGET.ts"
   rm /media/hdd/movie/*$TARGET.ts
else
   echo "File TIMESHIFT - $TARGET.ts not found for delete, sorry"
   echo "----------------------------------------------"
   exit 1
fi
echo "----------------------------------------------"
exit 0
;;
rename)
if [ ! $2 ]; then
echo "no new name passed for rename, sorry"
echo "----------------------------------------------"
exit 1
else
TARGET=$2
fi 
MOVIES=1
if [ ! -e /media/hdd/movie/*timeshift.ts ]; then
MOVIES=0
fi >> /dev/null 2>&1
if [ $MOVIES = 1 ]; then
cd /media/hdd/movie
for FILE in *timeshift.ts ; do
    echo $FILE > $TMPFILE
    sed -ie s!timeshift!$TARGET!g $TMPFILE
    NEWFILE=`cat $TMPFILE` 
    echo "Renaming $FILE to $NEWFILE"
    mv "$FILE" "$NEWFILE"
done
else
echo "No saved timeshift found for rename"
fi
echo "----------------------------------------------"
exit 0
;;
clean)
echo "----------------------------------------------"
echo "Cleaning all unsaved timeshift recordings at /media/hdd"
rm /media/hdd/timeshift.*
echo "----------------------------------------------"
exit 0
;;
list)
echo "Listing saved timeshift recordings at /media/hdd/movie"
echo "----------------------------------------------"
TIMESHIFT=1
MOVIES=1
if [ ! -e /media/hdd/movie/*TIMESHIFT*.ts ]; then
MOVIES=0
fi >> /dev/null 2>&1
if  [ $MOVIES = 1 ]; then
ls -1alh /media/hdd/movie/*TIMESHIFT*.ts
else
echo "none available"
fi
echo "----------------------------------------------"
echo "Listing all unsaved timeshift recordings at /media/hdd"
echo "----------------------------------------------"
if [ ! -e /media/hdd/timeshift.* ]; then
TIMESHIFT=0
fi >> /dev/null 2>&1
if  [ $TIMESHIFT = 1 ]; then
ls -1alh /media/hdd/timeshift.*
else
echo "none available"
fi
echo "----------------------------------------------"
exit 0
;;
*)
echo "Usage $0 {save|delete|rename|clean|list}"
echo "----------------------------------------------"
exit 0
;;
esac
exit 0
